# $Revision: 1.47.2.7 $, $Date: 2010/05/03 08:19:24 $
#
# Conditional build:
%bcond_with	arts			# build with aRts support

Summary:	Native KDE BitTorrent client
Summary(de.UTF-8):	Ein nativer KDE BitTorrent Klient
Summary(pl.UTF-8):	Natywny klient BitTorrenta dla KDE
Name:		ktorrent
Version:	2.2.8
Release:	3
License:	GPL
Group:		Applications/Networking
Source0:	http://ktorrent.org/downloads/%{version}/%{name}-%{version}.tar.bz2
# Source0-md5:	c0bd753b27bbc3e404b6c59ceafb5f91
Patch0:		kde-common-LD_quote.patch
Patch1:		kde-ac260-lt.patch
Patch2:		%{name}-stl.patch
Patch3:		kde-am.patch
URL:		http://ktorrent.org/
BuildRequires:	autoconf
BuildRequires:	autoconf < 2.64
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gmp-devel
BuildRequires:	kdelibs-devel >= 9:3.2.0
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# build broken with spaces in CC
%undefine	with_ccache

%description
KTorrent is a BitTorrent program for KDE.

Its main features are:
- Downloads torrent files
- Upload speed capping, seeing that most people can't upload infinite
  amounts of data.
- Internet searching using various search engines, you can even add
  your own.
- UDP Trackers

%description -l de.UTF-8
KTorrent ist ein BitTorrent Klient für KDE.

Hauptfunktionen sind:
- Torrent-Dateien Download
- Begränzung des Uploades, so dass Mehrheit der Leute nicht unerlaubt
  unbegränzte Datenflüsse sendet
- Durchsuchung des Internets mit hilfe diverser Browser, man kann
  sogar den eigenen Browser dazu schreiben
- UDP Trackers

%description -l pl.UTF-8
KTorrent to klient BitTorrenta dla KDE.

Główne cechy to:
- ściąganie plików torrent
- ograniczanie szybkości uploadu, baczące żeby większość ludzi nie
  przesyłała nieograniczonej ilości danych
- przeszukiwanie Internetu przy użyciu różnych wyszukiwarek, można
  nawet dodać własną
- trackery UDP

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
cp -f /usr/share/automake/config.sub admin
%{__make} -f admin/Makefile.common cvs

%configure \
	--enable-knetwork \
	--enable-mt \
	--disable-static \
	--with-pic \
	--with-gnu-ld \
	--disable-rpath \
	--disable-embedded \
	--enable-fast-install=yes \
	--with-xinerama \
	--disable-final \
	--with%{!?with_arts:out}-arts \
	--%{?debug:en}%{!?debug:dis}able-debug%{?debug:=full} \
	--with-qt-libraries=%{_libdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_datadir}/applnk/Internet/ktorrent.desktop
rm -f $RPM_BUILD_ROOT%{_libdir}/{kde3/*.la,*.la}

%find_lang %{name} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ktcachecheck
%attr(755,root,root) %{_bindir}/ktorrent
%attr(755,root,root) %{_bindir}/ktshell
%attr(755,root,root) %{_bindir}/kttorinfo
%attr(755,root,root) %{_bindir}/ktupnptest
%attr(755,root,root) %{_libdir}/libktorrent-*.*.*.so
%attr(755,root,root) %{_libdir}/libktorrent.so
%attr(755,root,root) %{_libdir}/kde3/ktinfowidgetplugin.so
%attr(755,root,root) %{_libdir}/kde3/ktipfilterplugin.so
%attr(755,root,root) %{_libdir}/kde3/ktlogviewerplugin.so
%attr(755,root,root) %{_libdir}/kde3/ktpartfileimportplugin.so
%attr(755,root,root) %{_libdir}/kde3/ktsearchplugin.so
%attr(755,root,root) %{_libdir}/kde3/ktstatsplugin.so
%attr(755,root,root) %{_libdir}/kde3/ktupnpplugin.so
%attr(755,root,root) %{_libdir}/kde3/ktscanfolderplugin.so
%attr(755,root,root) %{_libdir}/kde3/ktschedulerplugin.so
%attr(755,root,root) %{_libdir}/kde3/ktrssfeedplugin.so
%attr(755,root,root) %{_libdir}/kde3/ktwebinterfaceplugin.so
#%attr(755,root,root) %{_libdir}/kde3/ktzeroconfplugin.so
%{_datadir}/apps/%{name}
%{_datadir}/config.kcfg/ktorrent.kcfg
%{_datadir}/config.kcfg/ktinfowidgetplugin.kcfg
%{_datadir}/config.kcfg/ktipfilterplugin.kcfg
%{_datadir}/config.kcfg/ktsearchplugin.kcfg
%{_datadir}/config.kcfg/ktupnpplugin.kcfg
%{_datadir}/config.kcfg/ktscanfolderplugin.kcfg
%{_datadir}/config.kcfg/ktschedulerplugin.kcfg
%{_datadir}/config.kcfg/ktstatsplugin.kcfg
%{_datadir}/config.kcfg/ktlogviewerplugin.kcfg
%{_datadir}/config.kcfg/ktrssfeedplugin.kcfg
%{_datadir}/config.kcfg/ktwebinterfaceplugin.kcfg
%{_datadir}/services/ktinfowidgetplugin.desktop
%{_datadir}/services/ktipfilterplugin.desktop
%{_datadir}/services/ktlogviewerplugin.desktop
%{_datadir}/services/ktpartfileimportplugin.desktop
%{_datadir}/services/ktsearchplugin.desktop
%{_datadir}/services/ktstatsplugin.desktop
%{_datadir}/services/ktupnpplugin.desktop
%{_datadir}/services/ktscanfolderplugin.desktop
%{_datadir}/services/ktschedulerplugin.desktop
%{_datadir}/services/ktrssfeedplugin.desktop
%{_datadir}/services/ktwebinterfaceplugin.desktop
%{_datadir}/services/ktzeroconfplugin.desktop
%{_datadir}/servicetypes/ktorrentplugin.desktop
%{_desktopdir}/kde/ktorrent.desktop
%{_iconsdir}/*/*/apps/%{name}.png
%{_iconsdir}/hicolor/scalable/apps/ktorrent.svgz
%{_iconsdir}/hicolor/*x*/mimetypes/torrent.png
%{_iconsdir}/hicolor/scalable/mimetypes/torrent.svgz

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ktorrent.spec,v $
Revision 1.47.2.7  2010/05/03 08:19:24  glen
- spacy CC problem workaround

Revision 1.47.2.6  2010/05/03 08:14:26  glen
- ac fix needed

Revision 1.47.2.5  2010/05/03 08:00:21  glen
- disable arts; rel 3

Revision 1.47.2.4  2010/05/03 06:58:50  glen
- release 2

Revision 1.47.2.3  2010/05/03 06:07:17  glen
- add kde-am.patch

Revision 1.47.2.2  2008/11/22 22:16:54  prism
- up to 2.2.8

Revision 1.47.2.1  2008/07/11 20:31:57  prism
- 2.2.7 for KDE3

Revision 1.47  2008/04/21 12:24:36  kosmo
- updated to 2.2.6

Revision 1.46  2008-03-07 06:08:04  ankry
- simplified %files

Revision 1.45  2008-01-29 20:29:53  rotom
- up to 2.2.5

Revision 1.44  2008-01-20 11:33:33  qboosh
- unified

Revision 1.43  2007-11-22 16:37:50  rotom
- up to 2.2.4

Revision 1.42  2007-11-15 16:14:17  vip
- up to 2.2.3

Revision 1.41  2007-11-07 00:27:20  glen
- rel 2

Revision 1.40  2007/10/23 14:48:02  arvenil
- BR: pkgconfig

Revision 1.39  2007/08/29 18:51:25  rotom
- up to 2.2.2

Revision 1.38  2007/07/24 16:19:09  vip
- up to 2.2.1

Revision 1.37  2007/07/05 09:56:53  pluto
- disable all-in-one compilation, fix stl usage, cleanup *.la, release 2.

Revision 1.36  2007/07/04 21:16:02  vip
- missing files, get rid of *.la

Revision 1.35  2007/07/04 21:07:14  shadzik
- hurra hurra 2.2 ist da
- doesn't build with gcc 4.2.0-7

Revision 1.34  2007/04/24 14:48:08  shadzik
- 2.1.4
- not really tested

Revision 1.33  2007/04/02 18:17:50  rotom
- up to 2.1.3

Revision 1.32  2007/03/09 22:44:21  rotom
- up to 2.1.2

Revision 1.31  2007/03/05 20:36:22  vip
- up to 2.1.1

Revision 1.30  2007/02/24 13:30:06  rotom
- up to 2.1
- ac260-lt patch added

Revision 1.29  2007/02/13 06:46:50  glen
- tabs in preamble

Revision 1.28  2007/02/12 00:49:01  baggins
- converted to UTF-8

Revision 1.27  2006/11/24 01:20:29  shadzik
- URL and Source0

Revision 1.26  2006/10/12 21:46:46  glen
- rel 2

Revision 1.25  2006/10/12 17:37:33  glen
- -z now not recognized on ppc and alpha

Revision 1.24  2006/10/12 14:51:34  glen
- add kde-common-LD_quote.patch

Revision 1.23  2006/10/10 18:07:27  vip
- up to 2.0.3

Revision 1.22  2006/08/31 20:14:14  pluto
- patch for autoconf-2.60.
- lots of link-failures. looks like --as-needed kills kde stuff.

Revision 1.21  2006/08/30 18:46:59  shadzik
- 2.0.2

Revision 1.20  2006/08/21 18:37:36  shadzik
- 2.0.1

Revision 1.19  2006/08/08 17:41:05  shadzik
- 2.0 stable

Revision 1.18  2006/07/18 20:26:05  shadzik
- one more file

Revision 1.17  2006/07/18 20:17:41  shadzik
- 2.0rc1

Revision 1.16  2006/06/04 04:00:39  charles
- BR: gmp-devel

Revision 1.15  2006/05/20 14:12:33  shadzik
- typo

Revision 1.14  2006/05/20 14:06:40  shadzik
- up to 2.0 beta1
- de

Revision 1.13  2006/04/17 23:47:56  charles
- BR: gettext-devel

Revision 1.12  2006/01/31 21:37:48  prism
- ok, lets forget those nils

Revision 1.11  2006/01/31 21:35:29  prism
- updated to 1.2 stable

Revision 1.10  2006/01/20 17:07:07  prism
- up to 1.2rc2

Revision 1.9  2006/01/15 18:59:12  pluto
- versioning fixed, knetwork classes enabled.

Revision 1.8  2006/01/09 20:09:06  qboosh
- .so perms

Revision 1.7  2006/01/01 21:38:56  mkierus
- up to 1.2rc1

Revision 1.6  2005/12/06 20:13:30  glen
- rel 1

Revision 1.5  2005/12/06 20:09:13  qboosh
- pl

Revision 1.4  2005/12/06 19:10:21  glen
- missing dirs, simplified

Revision 1.3  2005/12/05 23:29:11  glen
- lang files fix

Revision 1.2  2005/12/05 23:26:08  glen
- qt fix and rest of kde stuff (thx arekm)

Revision 1.1  2005/12/05 23:17:13  glen
- new (thanks i am dakh)
